Bug 713575 - [abrt] imsettings-1.2.3-1.fc15: g_string_insert_c: Process /usr/bin/imsettings-check was killed by signal 11 (SIGSEGV)
[abrt] imsettings-1.2.3-1.fc15: g_string_insert_c: Process /usr/bin/imsetting...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:8df43343be5eb6645d41b155d46...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-15 15:36 EDT by remadna okba
Modified: 2012-06-14 23:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 23:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description remadna okba 2011-06-15 15:36:16 EDT
abrt version: 2.0.1
architecture:   i686
cmdline:        imsettings-check --check-dbus
component:      imsettings
crash_function: g_string_insert_c
executable:     /usr/bin/imsettings-check
kernel:         2.6.38.7-30.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        imsettings-1.2.3-1.fc15
rating:         4
reason:         Process /usr/bin/imsettings-check was killed by signal 11 (SIGSEGV)
time:           Tue Jun 14 18:19:12 2011
uid:            500
username:       aaro

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 1359]
:[Thread debugging using libthread_db enabled]
:Core was generated by `imsettings-check --check-dbus'.
:Program terminated with signal 11, Segmentation fault.
:#0  g_string_insert_c (string=0x8504ac0, pos=-1, c=48 '0') at gstring.c:1055
:1055	gstring.c: No such file or directory.
:	in gstring.c
:
:Thread 1 (Thread 0xb7867720 (LWP 1359)):
:#0  g_string_insert_c (string=0x8504ac0, pos=-1, c=48 '0') at gstring.c:1055
:        _g_boolean_var_ = <optimized out>
:        __PRETTY_FUNCTION__ = "g_string_insert_c"
:#1  0x457bc084 in g_string_append_c_inline (c=<optimized out>, gstring=0x8504ac0) at ../glib/gstring.h:153
:No locals.
:#2  g_string_append_c_inline (c=<optimized out>, gstring=0x8504ac0) at gdbusauth.c:413
:No locals.
:#3  append_nibble (val=<optimized out>, s=0x8504ac0) at gdbusauth.c:366
:No locals.
:#4  hexencode (str=<optimized out>) at gdbusauth.c:430
:        val = <optimized out>
:        upper_nibble = 3
:        lower_nibble = <optimized out>
:        n = <optimized out>
:        s = 0x8504ac0
:#5  0x457bc925 in client_choose_mech_and_send_initial_response (error=0x850a838, cancellable=0x0, dos=0x850cac0, attempted_auth_mechs=0x84ff920, supported_auth_mechs=0x85105b0, credentials_that_were_sent=0x84ff968, auth=0x84ff908) at gdbusauth.c:542
:        auth_mech_to_use_gtype = 139499008
:        m = <optimized out>
:        initial_response_len = 4294967295
:        mech = 0x850caf0
:        n = <optimized out>
:        initial_response = <optimized out>
:        encoded = <optimized out>
:        s = <optimized out>
:#6  _g_dbus_auth_run_client (auth=0x84ff908, offered_capabilities=G_DBUS_CAPABILITY_FLAGS_UNIX_FD_PASSING, out_negotiated_capabilities=0x850a870, cancellable=0x0, error=0x850a838) at gdbusauth.c:687
:        s = <optimized out>
:        dis = 0x850ec18
:        dos = 0x850cac0
:        credentials = <optimized out>
:        ret_guid = 0x85105b0 ""
:        line = <optimized out>
:        line_length = 44
:        supported_auth_mechs = 0x85105b0
:        attempted_auth_mechs = 0x84ff920
:        mech = <optimized out>
:        negotiated_capabilities = G_DBUS_CAPABILITY_FLAGS_NONE
:        __PRETTY_FUNCTION__ = "_g_dbus_auth_run_client"
:#7  0x457ccabc in initable_init (initable=0x850a800, cancellable=0x0, error=0xbfb8e6ac) at gdbusconnection.c:2350
:        connection = 0x850a800
:        ret = 0
:        __PRETTY_FUNCTION__ = "initable_init"
:#8  0x4576c17a in g_initable_init (initable=0x850a800, cancellable=0x0, error=0xbfb8e6ac) at ginitable.c:106
:        iface = <optimized out>
:#9  0x457cd1b4 in g_bus_get_sync (bus_type=G_BUS_TYPE_SESSION, cancellable=0x0, error=0xbfb8e6ac) at gdbusconnection.c:6320
:        connection = 0x850a800
:        __PRETTY_FUNCTION__ = "g_bus_get_sync"
:#10 0x08048fc6 in _check_dbus (verbose=0) at imsettings-check.c:56
:        connection = <optimized out>
:        retval = 1
:        error = 0x0
:#11 main (argc=1, argv=0xbfb8e874) at imsettings-check.c:281
:        arg_detail = 0
:        arg_check_dbus = 1
:        arg_check_modules = 0
:        arg_check_module_settings = 0
:        arg_check_xsettings = 0
:        check_all = 0
:        ctx = <optimized out>
:        entries = {{long_name = 0x80497b6 "detail", short_name = 100 'd', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfb8e694, description = 0x8049910 "Output the detail information for the result", arg_description = 0x0}, {long_name = 0x80497bd "check-dbus", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfb8e698, description = 0x80497c8 "Check if DBus is running", arg_description = 0x0}, {long_name = 0x80497e1 "check-modules", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfb8e69c, description = 0x8049940 "Check if any valid modules are loaded", arg_description = 0x0}, {long_name = 0x80497ef "check-modulesettings", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfb8e6a0, description = 0x8049968 "Check if all of the module settings has consistencies", arg_description = 0x0}, {long_name = 0x8049804 "check-xsettings", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfb8e6a4, description = 0x80499a0 "Check if XSETTINGS manager is running", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:        error = 0x0
:From        To          Syms Read   Shared Object Library
:0x47fcc310  0x4805cfbc  Yes         /usr/lib/libX11.so.6
:0x45dd9610  0x45dddc1c  Yes         /usr/lib/libimsettings.so.5
:0x4573ec50  0x457fb40c  Yes         /lib/libgio-2.0.so.0
:0x4571abd0  0x4571bd4c  Yes         /lib/libgmodule-2.0.so.0
:0x456d0fe0  0x4570472c  Yes         /lib/libgobject-2.0.so.0
:0x456c3f30  0x456c570c  Yes         /lib/libgthread-2.0.so.0
:0x47dbd880  0x47dc139c  Yes         /lib/librt.so.1
:0x455ba770  0x456583dc  Yes         /lib/libglib-2.0.so.0
:0x47d9d5f0  0x47da8d3c  Yes         /lib/libpthread.so.0
:0x47bf6d10  0x47d14b64  Yes         /lib/libc.so.6
:0x480f9e90  0x481097bc  Yes         /usr/lib/libxcb.so.1
:0x47db5a60  0x47db6a8c  Yes         /lib/libdl.so.2
:0x47de0f30  0x47df7c5c  Yes         /lib/libgcc_s.so.1
:0x47f435f0  0x47f535cc  Yes         /lib/libresolv.so.2
:0x47dc8670  0x47dd5aac  Yes         /lib/libz.so.1
:0x47e02490  0x47e13d9c  Yes         /lib/libselinux.so.1
:0x47bbf850  0x47bd6aff  Yes         /lib/ld-linux.so.2
:0x47fb3a00  0x47fb488c  Yes         /usr/lib/libXau.so.6
:$1 = 0x0
:$2 = 0x0
:eax            0x3	3
:ecx            0x4	4
:edx            0x30	48
:ebx            0x456c0328	1164706600
:esp            0xbfb8e3f0	0xbfb8e3f0
:ebp            0x8510c2a	0x8510c2a
:esi            0x8504ac0	139479744
:edi            0x8510c2b	139529259
:eip            0x4560c65f	0x4560c65f <g_string_insert_c+31>
:eflags         0x10216	[ PF AF IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function g_string_insert_c:
:   0x4560c640 <+0>:	lea    -0x2c(%esp),%esp
:   0x4560c644 <+4>:	mov    %esi,0x20(%esp)
:   0x4560c648 <+8>:	mov    0x30(%esp),%esi
:   0x4560c64c <+12>:	mov    %ebx,0x1c(%esp)
:   0x4560c650 <+16>:	mov    %edi,0x24(%esp)
:   0x4560c654 <+20>:	call   0x455baff9 <__i686.get_pc_thunk.bx>
:   0x4560c659 <+25>:	add    $0xb3ccf,%ebx
:=> 0x4560c65f <+31>:	test   %esi,%esi
:   0x4560c661 <+33>:	mov    %ebp,0x28(%esp)
:   0x4560c665 <+37>:	mov    0x34(%esp),%edi
:   0x4560c669 <+41>:	movzbl 0x38(%esp),%ebp
:   0x4560c66e <+46>:	je     0x4560c718 <g_string_insert_c+216>
:   0x4560c674 <+52>:	mov    %esi,%eax
:   0x4560c676 <+54>:	mov    $0x1,%edx
:   0x4560c67b <+59>:	call   0x4560b910 <g_string_maybe_expand>
:   0x4560c680 <+64>:	test   %edi,%edi
:   0x4560c682 <+66>:	mov    0x4(%esi),%eax
:   0x4560c685 <+69>:	js     0x4560c710 <g_string_insert_c+208>
:   0x4560c68b <+75>:	cmp    %eax,%edi
:   0x4560c68d <+77>:	ja     0x4560c6c8 <g_string_insert_c+136>
:   0x4560c68f <+79>:	cmp    %eax,%edi
:   0x4560c691 <+81>:	jb     0x4560c6f0 <g_string_insert_c+176>
:   0x4560c693 <+83>:	mov    (%esi),%eax
:   0x4560c695 <+85>:	mov    %ebp,%edx
:   0x4560c697 <+87>:	mov    %dl,(%eax,%edi,1)
:   0x4560c69a <+90>:	mov    0x4(%esi),%eax
:   0x4560c69d <+93>:	lea    0x1(%eax),%edx
:   0x4560c6a0 <+96>:	mov    %edx,0x4(%esi)
:   0x4560c6a3 <+99>:	mov    (%esi),%edx
:   0x4560c6a5 <+101>:	movb   $0x0,0x1(%edx,%eax,1)
:   0x4560c6aa <+106>:	mov    %esi,%eax
:   0x4560c6ac <+108>:	mov    0x1c(%esp),%ebx
:   0x4560c6b0 <+112>:	mov    0x20(%esp),%esi
:   0x4560c6b4 <+116>:	mov    0x24(%esp),%edi
:   0x4560c6b8 <+120>:	mov    0x28(%esp),%ebp
:   0x4560c6bc <+124>:	lea    0x2c(%esp),%esp
:   0x4560c6c0 <+128>:	ret    
:   0x4560c6c1 <+129>:	lea    0x0(%esi,%eiz,1),%esi
:   0x4560c6c8 <+136>:	lea    -0x5c475(%ebx),%eax
:   0x4560c6ce <+142>:	mov    %eax,0x8(%esp)
:   0x4560c6d2 <+146>:	lea    -0x5c283(%ebx),%eax
:   0x4560c6d8 <+152>:	mov    %eax,0x4(%esp)
:   0x4560c6dc <+156>:	lea    -0x67f22(%ebx),%eax
:   0x4560c6e2 <+162>:	mov    %eax,(%esp)
:   0x4560c6e5 <+165>:	call   0x455f2b00 <g_return_if_fail_warning>
:   0x4560c6ea <+170>:	jmp    0x4560c6aa <g_string_insert_c+106>
:   0x4560c6ec <+172>:	lea    0x0(%esi,%eiz,1),%esi
:   0x4560c6f0 <+176>:	mov    (%esi),%edx
:   0x4560c6f2 <+178>:	sub    %edi,%eax
:   0x4560c6f4 <+180>:	mov    %eax,0x8(%esp)
:   0x4560c6f8 <+184>:	lea    (%edx,%edi,1),%eax
:   0x4560c6fb <+187>:	mov    %eax,0x4(%esp)
:   0x4560c6ff <+191>:	lea    0x1(%edx,%edi,1),%eax
:   0x4560c703 <+195>:	mov    %eax,(%esp)
:   0x4560c706 <+198>:	call   0x455ba55c <memmove@plt>
:   0x4560c70b <+203>:	jmp    0x4560c693 <g_string_insert_c+83>
:   0x4560c70d <+205>:	lea    0x0(%esi),%esi
:   0x4560c710 <+208>:	mov    %eax,%edi
:   0x4560c712 <+210>:	jmp    0x4560c68f <g_string_insert_c+79>
:   0x4560c717 <+215>:	nop
:   0x4560c718 <+216>:	lea    -0x1fc21(%ebx),%eax
:   0x4560c71e <+222>:	xchg   %ax,%ax
:   0x4560c720 <+224>:	jmp    0x4560c6ce <g_string_insert_c+142>
:End of assembler dump.

build_ids:
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3168ec9ff007568c0a1cf26c48b4c5f117cb09c8
:798697a352bae4178953ba502fb04f33dd0ed987
:e8f81aceb76fd850fb4f8d2dbc01e7a2adb92a3f
:d92505dc952684ed3f59942efcff925f1e738748
:4709482862f00637bedaf5eeda381d3c6ecf2996
:826bb4d8376c62b913b61301b276adab50e11c5a
:d332cb7ad28d5fa39287f73b692f52a1b0753adf
:6f6990307c70f74ac965124f51a3a7322885639c
:15bab279752ad8e30f901abae77bcb1ed1f38977
:34d715e2766f8694271730798a4b8e1605ec93ea
:1a7659aa51963dc8d0eb56f9655b6eb269313dfa
:177452c458dbd4322d2fb524e0ede4fec9020580
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:6071c8f43965e446fd83dbb21593926893078ddd
:7cde8206ad97ddf378cc9e6843180535983b0efc
:8ff89a194e5831bff9de18610af4cfcb5ced75d8
:56605d58a31a73d62633489d68080067e35eb5d5
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e

dsos:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-2.i686 (Fedora Project) 1307527253
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libimsettings.so.5.1.0 imsettings-libs-1.2.3-1.fc15.i686 (Fedora Project) 1307734267
:/usr/share/locale/ar/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/lib/libpthread-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/lib/ld-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/lib/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.i686 (Fedora Project) 1307527138
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/lib/libc-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/usr/bin/imsettings-check imsettings-1.2.3-1.fc15.i686 (Fedora Project) 1307734270
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/lib/libresolv-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/usr/lib/locale/locale-archive glibc-common-2.14-2.i686 (Fedora Project) 1307527244
:/lib/librt-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307734248
:/usr/share/locale/ar/LC_MESSAGES/imsettings.mo imsettings-1.2.3-1.fc15.i686 (Fedora Project) 1307734270
:/lib/libdl-2.14.so glibc-2.14-2.i686 (Fedora Project) 1307527253
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773

environ:
:XDG_SESSION_ID=47
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=8574e9eeb7864952a66bc9270000000e-1308071951.683268-1015122122
:GNOME_KEYRING_CONTROL=/tmp/keyring-ALcBHK
:IMSETTINGS_MODULE=none
:USER=aaro
:USERNAME=aaro
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin
:QT_IM_MODULE=xim
:PWD=/home/aaro
:XMODIFIERS=@im=none
:LANG=ar_DZ.utf8
:GNOME_KEYRING_PID=1249
:GDM_LANG=ar_DZ.utf8
:GDMSESSION=gnome
:SHLVL=1
:HOME=/home/aaro
:LOGNAME=aaro
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-efLif3PCVN,guid=c9cbc7c9eb4e758276de2d1f00012230
:WINDOWPATH=7
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/aaro
:XAUTHORITY=/var/run/gdm/auth-for-aaro-xncHaN/database
:_=/usr/bin/imsettings-check

event_log:
:2011-06-15-20:15:13> Analyzing coredump 'coredump'
:2011-06-15-20:15:15  Coredump references 20 debuginfo files, 2 of them are not installed
:2011-06-15-20:15:17  Looking for needed packages in repositories
:2011-06-15-20:15:18  Packages to download: 1
:2011-06-15-20:15:18  Downloading 0.23Mb, installed size: 0.95Mb
:2011-06-15-20:15:20  Downloading (1 of 1) imsettings-debuginfo-1.2.3-1.fc15.i686.rpm: 100%
:2011-06-15-20:15:20  Extracting cpio from /tmp/abrt-tmp-debuginfo-2011-06-15-20:15:14.2747/imsettings-debuginfo-1.2.3-1.fc15.i686.rpm
:2011-06-15-20:15:20  Caching files from unpacked.cpio made from imsettings-debuginfo-1.2.3-1.fc15.i686.rpm
:2011-06-15-20:15:20  All downloaded packages have been extracted, removing /tmp/abrt-tmp-debuginfo-2011-06-15-20:15:14.2747
:2011-06-15-20:15:21  Backtrace is generated and saved, 9014 bytes

maps:
:0076a000-0076b000 r-xp 00000000 00:00 0          [vdso]
:08048000-0804a000 r-xp 00000000 08:11 156378     /usr/bin/imsettings-check
:0804a000-0804c000 rw-p 00001000 08:11 156378     /usr/bin/imsettings-check
:084fe000-0851f000 rw-p 00000000 00:00 0          [heap]
:455a8000-456c0000 r-xp 00000000 08:11 20113      /lib/libglib-2.0.so.0.2800.8
:456c0000-456c1000 rw-p 00118000 08:11 20113      /lib/libglib-2.0.so.0.2800.8
:456c3000-456c7000 r-xp 00000000 08:11 20114      /lib/libgthread-2.0.so.0.2800.8
:456c7000-456c8000 rw-p 00003000 08:11 20114      /lib/libgthread-2.0.so.0.2800.8
:456ca000-45716000 r-xp 00000000 08:11 20115      /lib/libgobject-2.0.so.0.2800.8
:45716000-45718000 rw-p 0004b000 08:11 20115      /lib/libgobject-2.0.so.0.2800.8
:4571a000-4571d000 r-xp 00000000 08:11 20116      /lib/libgmodule-2.0.so.0.2800.8
:4571d000-4571e000 rw-p 00002000 08:11 20116      /lib/libgmodule-2.0.so.0.2800.8
:45720000-4584a000 r-xp 00000000 08:11 20117      /lib/libgio-2.0.so.0.2800.8
:4584a000-4584d000 rw-p 00129000 08:11 20117      /lib/libgio-2.0.so.0.2800.8
:4584d000-4584e000 rw-p 00000000 00:00 0 
:45dd7000-45de1000 r-xp 00000000 08:11 147814     /usr/lib/libimsettings.so.5.1.0
:45de1000-45de2000 rw-p 00009000 08:11 147814     /usr/lib/libimsettings.so.5.1.0
:47bbf000-47bdc000 r-xp 00000000 08:11 5589       /lib/ld-2.14.so
:47bdc000-47bdd000 r--p 0001d000 08:11 5589       /lib/ld-2.14.so
:47bdd000-47bde000 rw-p 0001e000 08:11 5589       /lib/ld-2.14.so
:47be0000-47d65000 r-xp 00000000 08:11 26942      /lib/libc-2.14.so
:47d65000-47d67000 r--p 00184000 08:11 26942      /lib/libc-2.14.so
:47d67000-47d68000 rw-p 00186000 08:11 26942      /lib/libc-2.14.so
:47d68000-47d6b000 rw-p 00000000 00:00 0 
:47d99000-47daf000 r-xp 00000000 08:11 27415      /lib/libpthread-2.14.so
:47daf000-47db0000 r--p 00015000 08:11 27415      /lib/libpthread-2.14.so
:47db0000-47db1000 rw-p 00016000 08:11 27415      /lib/libpthread-2.14.so
:47db1000-47db3000 rw-p 00000000 00:00 0 
:47db5000-47db8000 r-xp 00000000 08:11 27414      /lib/libdl-2.14.so
:47db8000-47db9000 r--p 00002000 08:11 27414      /lib/libdl-2.14.so
:47db9000-47dba000 rw-p 00003000 08:11 27414      /lib/libdl-2.14.so
:47dbc000-47dc3000 r-xp 00000000 08:11 27496      /lib/librt-2.14.so
:47dc3000-47dc4000 r--p 00006000 08:11 27496      /lib/librt-2.14.so
:47dc4000-47dc5000 rw-p 00007000 08:11 27496      /lib/librt-2.14.so
:47dc7000-47ddc000 r-xp 00000000 08:11 67830      /lib/libz.so.1.2.5
:47ddc000-47ddd000 rw-p 00014000 08:11 67830      /lib/libz.so.1.2.5
:47ddf000-47dfb000 r-xp 00000000 08:11 67831      /lib/libgcc_s-4.6.0-20110530.so.1
:47dfb000-47dfc000 rw-p 0001b000 08:11 67831      /lib/libgcc_s-4.6.0-20110530.so.1
:47dfe000-47e1b000 r-xp 00000000 08:11 67833      /lib/libselinux.so.1
:47e1b000-47e1c000 r--p 0001c000 08:11 67833      /lib/libselinux.so.1
:47e1c000-47e1d000 rw-p 0001d000 08:11 67833      /lib/libselinux.so.1
:47f41000-47f57000 r-xp 00000000 08:11 67832      /lib/libresolv-2.14.so
:47f57000-47f58000 r--p 00016000 08:11 67832      /lib/libresolv-2.14.so
:47f58000-47f59000 rw-p 00017000 08:11 67832      /lib/libresolv-2.14.so
:47f59000-47f5b000 rw-p 00000000 00:00 0 
:47fb3000-47fb5000 r-xp 00000000 08:11 160339     /usr/lib/libXau.so.6.0.0
:47fb5000-47fb6000 rw-p 00001000 08:11 160339     /usr/lib/libXau.so.6.0.0
:47fb8000-480ed000 r-xp 00000000 08:11 160341     /usr/lib/libX11.so.6.3.0
:480ed000-480f1000 rw-p 00134000 08:11 160341     /usr/lib/libX11.so.6.3.0
:480f3000-48110000 r-xp 00000000 08:11 160340     /usr/lib/libxcb.so.1.1.0
:48110000-48111000 rw-p 0001d000 08:11 160340     /usr/lib/libxcb.so.1.1.0
:b7667000-b7867000 r--p 00000000 08:11 184776     /usr/lib/locale/locale-archive
:b7867000-b786c000 rw-p 00000000 00:00 0 
:b7872000-b787e000 r--p 00000000 08:11 138400     /usr/share/locale/ar/LC_MESSAGES/glib20.mo
:b787e000-b7885000 r--s 00000000 08:11 148581     /usr/lib/gconv/gconv-modules.cache
:b7885000-b7886000 r--p 00000000 08:11 185413     /usr/share/locale/ar/LC_MESSAGES/imsettings.mo
:b7886000-b7887000 rw-p 00000000 00:00 0 
:bfb6f000-bfb90000 rw-p 00000000 00:00 0          [stack]
Comment 1 Akira TAGOH 2011-06-15 21:29:11 EDT
Can you reproduce this issue? and what happens if you run it on the terminal say manually?
Comment 2 Akira TAGOH 2011-09-08 23:09:13 EDT
ping
Comment 3 Akira TAGOH 2012-06-14 23:14:15 EDT
Plaese try with the latest version of imsettings on f17. if you still see this issue, reopen then. thanks.

Note You need to log in before you can comment on or make changes to this bug.